Bug 1253689 - (CVE-2015-5191) CVE-2015-5191 open-vm-tools: /tmp race conditions in the libDeployPkg component
CVE-2015-5191 open-vm-tools: /tmp race conditions in the libDeployPkg component
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170724,reported=2...
: Security
Depends On: 1474701 1253690 1253691 1253698
Blocks: 1253700
  Show dependency treegraph
 
Reported: 2015-08-14 09:09 EDT by Florian Weimer
Modified: 2017-07-28 08:25 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-08-14 09:09:57 EDT
It was discovered that open-vm-tools has multiple /tmp race conditions in the libDeployPkg component, allowing an unprivileged local user in a guest to cause a denial of service through file system manipulation, or, possibly, increase privileges.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security.
Comment 11 Andrej Nemec 2017-07-25 04:12:14 EDT
Created open-vm-tools tracking bugs for this issue:

Affects: fedora-all [bug 1474701]

Note You need to log in before you can comment on or make changes to this bug.